Last Comment Bug 707626 - Hook up screen.mozEnabled, screen.mozBrightness to permission API
: Hook up screen.mozEnabled, screen.mozBrightness to permission API
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: General (show other bugs)
: unspecified
: All Gonk (Firefox OS)
: P1 normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on: 707625 729430 781353
Blocks: 774716 702256
  Show dependency treegraph
 
Reported: 2011-12-05 03:20 PST by Justin Lebar (not reading bugmail)
Modified: 2012-08-13 18:45 PDT (History)
19 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+


Attachments

Description Justin Lebar (not reading bugmail) 2011-12-05 03:20:27 PST
Once we have the permission manager from bug 707625, we need to hook up screen.mozEnabled and screen.mozBrightness to it.
Comment 1 Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2011-12-21 06:55:47 PST
Until we have a new permission manager, can we use the 'old' one to hook up those properties to the content?

We're already using it for indexedDB, offline-storage, webapps-manage, etc...
Comment 2 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2011-12-21 08:36:14 PST
I remember it being said to steer clear of the old permissions manager.

Any advice?
Comment 3 Justin Lebar (not reading bugmail) 2011-12-21 08:39:11 PST
FWIW, right now we're doing pref-based "permission management" in WebSMS and the browser API stuff I've been doing.
Comment 4 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-07-26 16:19:06 PDT
https://docs.google.com/spreadsheet/ccc?key=0Akyz_Bqjgf5pdENVekxYRjBTX0dCXzItMnRyUU1RQ0E#gid=0 says this Permission Name is "power".

I'm apply the process-level capability check in bug 776835.
Comment 5 Kan-Ru Chen [:kanru] (UTC+8) 2012-08-13 18:45:47 PDT
Fixed in bug 781353

Note You need to log in before you can comment on or make changes to this bug.